import process from 'node:process';

function nodeIsProcessRunning(pid) {
	try {
		return process.kill(pid, 0)
	} catch (e) {
		return e.code !== "ESRCH"
	}
}

export { nodeIsProcessRunning as default };
